:root {
    --main-white: #f0f0f0;
    --main-red: #be3144;
    --main-blue: #45567d;
    --main-green: #3fa46a;
    --main-gray: #303841;
    font-family: "Gilda Display", serif;
}

* {
    margin: 0;
    padding: 0;
}

html {
    box-sizing: border-box;
    font-size: 62.5%;
    scroll-behavior: smooth;
}

/* 1200px / 16px = 75em */

@media (max-width: 75em) {
    html {
        font-size: 60%;
    }
}

/* 980px / 16px = 61.25em */

@media (max-width: 61.25em) {
    html {
        font-size: 58%;
    }
}

/* 460px / 16px = 28.75em */

@media (max-width: 28.75em) {
    html {
        font-size: 55%;
    }
}

body {
    font-family: "Poppins", sans-serif;
    font-size: 1.8rem;
    /* 18px */
    font-weight: 400;
    line-height: 1.4;
    color: var(--main-white);
}

h1 {
    font-family: "Raleway", sans-serif;
    font-weight: 700;
    text-align: center;
    font-size: 6rem;
}

h2 {
    font-size: 3rem;
    margin: 8rem 2rem 4rem 2rem;
    padding-bottom: 2rem;
    border-bottom: 3px solid #ffcc00;
    text-align: center;
}

ul {
    list-style: none;
    display: flex;
}

a {
    text-decoration: none;
    color: inherit;
}

#canvas {
    width: 200vw;
    height: 200vh;
    left: -50vw;
    top: -50vh;
    position: absolute;
    z-index: -1;
}

nav {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: flex-end;
}

.nav-list {
    display: block;
    font-size: 2.2rem;
    padding: 2rem;
}

li:hover a {
    color: var(--main-red);
}

#welcome-section {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#name-y {
    color: #ff2d5d;
    transition: color .5s ease;
}

#name-o {
    color: #42dc8e;
    transition: color .5s ease;
}

#name-n {
    color: #2e43eb;
    transition: color .5s ease;
}

#name-g {
    color: #ffe359;
    transition: color .5s ease;
}

#project-section {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #000;
}

.projects-grid {
    margin: 4rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    max-width: 1400px;
    grid-gap: 4rem;
}

@media (max-width: 30.625em) {
    #project-section {
        height: auto;
        padding-bottom: 5vh;
    }
    .projects-grid {
        grid-template-columns: 1fr;
        margin: 0;
        grid-gap: 0;
    }
}

.project-card {
    display: flex;
    flex-direction: column;
}

.project-card img {
    width: 100%;
}

.project-title {
    background-color: var(--main-gray);
    text-align: center;
    font-size: 2rem;
    padding: 2rem 0.5rem;
}

.project-foot {
    background-color: var(--main-green);
    font-size: 2rem;
    display: flex;
    flex-direction: row;
    padding: 1rem 0.5rem;
    justify-content: space-between;
}

.project-foot a {
    border-bottom: 3px solid #fff3;
    margin: 0.25rem 0.25rem;
    text-decoration: none;
}

.project-foot a:hover {
    border-bottom-color: #fff9;
}

.img-holder {
    position: relative;
    width: 100%;
    height: 100%;
}

.text {
    position: absolute;
    width: 100%;
    bottom: 10px;
    font-size: 1rem;
    text-align: center;
    color: var(--main-red);
}

#contact-section {
    height: 100vh;
    background-color: #123;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#contact-section h2 {
    margin-top: 2rem;
}

#profile-link {
    padding: 1rem 1rem;
    font-size: 2.4rem;
    display: inline-block;
}

@media (max-width: 30.625em) {
    #profile-link {
        display: block;
    }
}

.contact-details:hover {
    transform: translateY(0.8rem);
}

/* Fading animation */

.fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
}

@-webkit-keyframes fade {
    from {
        opacity: .4
    }
    to {
        opacity: 1
    }
}

@keyframes fade {
    from {
        opacity: .4
    }
    to {
        opacity: 1
    }
}

.c4-izmir {
    --primary-color: #7303c0;
    --secondary-color: #ec38bc;
    --transition-duration: 500ms;
    --border-width: 6px;
    --overlay-opacity: .5;
}